The schema version of 'Microsoft.Hadoop.MapReduce' is incompatible

Jul 14, 2013 at 7:14 AM
Hi,

I have am new to the platform and environment of Visual studio. I am getting the following error when I try to install Hadoop, WebClient and Hive.

The schema version of 'Microsoft.Hadoop.MapReduce' is incompatible with version 2.0.30625.9003 of NuGet. Please upgrade NuGet to the latest version from http://go.microsoft.com/fwlink/?LinkId=2V13942.

My environment:
Windows 7 Pro
Visual studio version 2012
NuGet version: 2.6.40627.9000


What am I missing? This looks strange. I appreciate your input.
Jul 18, 2013 at 1:00 AM
I tried it with VS 2012 NuGet 2.6.40627.9000 and couldn't repro the issue. Packages install successfully. Can you try this on fresh environment and see if the issue repros?
Jul 18, 2013 at 10:03 PM
Thanks for the input. I had to install a visual studio patch to make it work as there seems to be some comparability issues.